/*
AUTORE: Manuel Vichi
Somma dei numeri positivi
*/
#include <iostream>
#include <array>
#include <vector>
#include <cstdlib>
using namespace std;
int sommaPositivi(int array[], size_t array_size) {
	int somma = 0;
	for (size_t i = 0; i < array_size; i++) {
		if (array[i] > 0)
			somma += array[i];
	}
	return somma;
}
int main() {
	int array[] = {-1, 0, 1, 2, 3};
	cout << "La somma dei valori positivi e': " << sommaPositivi(array,5) << endl;
    return 0;
}
